OpenGL-2.8.0.0: A binding for the OpenGL graphics system

Portability | portable
Stability | stable
Maintainer | sven.panne@aedion.de
Safe Haskell | Safe-Inferred

Graphics.Rendering.OpenGL.GL.VertexAttributes

Description

This is a purely internal module for auxiliary vertex attributes.

Synopsis

- newtype TexCoord1 a = TexCoord1 a
- data TexCoord2 a = TexCoord2 !a !a
- data TexCoord3 a = TexCoord3 !a !a !a
- data TexCoord4 a = TexCoord4 !a !a !a !a
- data Normal3 a = Normal3 !a !a !a
- newtype FogCoord1 a = FogCoord1 a
- data Color3 a = Color3 !a !a !a
- data Color4 a = Color4 !a !a !a !a
- newtype Index1 a = Index1 a

# Documentation

newtype TexCoord1 a

Texture coordinates with t=0, r=0, and q=1.

Constructors

TexCoord1 a |

Instances

Functor TexCoord1 |
Typeable1 TexCoord1 |
Applicative TexCoord1 |
Foldable TexCoord1 |
Traversable TexCoord1 |
ControlPoint TexCoord1 |
Bounded a => Bounded (TexCoord1 a) |
Eq a => Eq (TexCoord1 a) |
Ord a => Ord (TexCoord1 a) |
Read a => Read (TexCoord1 a) |
Show a => Show (TexCoord1 a) |
Ix a => Ix (TexCoord1 a) |
Storable a => Storable (TexCoord1 a) |
VertexAttribComponent a => VertexAttrib (TexCoord1 a) |
TexCoordComponent a => TexCoord (TexCoord1 a) |
UniformComponent a => Uniform (TexCoord1 a) |

data TexCoord2 a

Texture coordinates with r=0 and q=1.

Constructors

TexCoord2 !a !a |

Instances

Functor TexCoord2 |
Typeable1 TexCoord2 |
Applicative TexCoord2 |
Foldable TexCoord2 |
Traversable TexCoord2 |
ControlPoint TexCoord2 |
Bounded a => Bounded (TexCoord2 a) |
Eq a => Eq (TexCoord2 a) |
Ord a => Ord (TexCoord2 a) |
Read a => Read (TexCoord2 a) |
Show a => Show (TexCoord2 a) |
Ix a => Ix (TexCoord2 a) |
Storable a => Storable (TexCoord2 a) |
VertexAttribComponent a => VertexAttrib (TexCoord2 a) |
TexCoordComponent a => TexCoord (TexCoord2 a) |
UniformComponent a => Uniform (TexCoord2 a) |

data TexCoord3 a

Texture coordinates with q=1.

Constructors

TexCoord3 !a !a !a |

Instances

Functor TexCoord3 |
Typeable1 TexCoord3 |
Applicative TexCoord3 |
Foldable TexCoord3 |
Traversable TexCoord3 |
ControlPoint TexCoord3 |
Bounded a => Bounded (TexCoord3 a) |
Eq a => Eq (TexCoord3 a) |
Ord a => Ord (TexCoord3 a) |
Read a => Read (TexCoord3 a) |
Show a => Show (TexCoord3 a) |
Ix a => Ix (TexCoord3 a) |
Storable a => Storable (TexCoord3 a) |
VertexAttribComponent a => VertexAttrib (TexCoord3 a) |
TexCoordComponent a => TexCoord (TexCoord3 a) |
UniformComponent a => Uniform (TexCoord3 a) |

data TexCoord4 a

Fully-fledged four-dimensional texture coordinates.

Constructors

TexCoord4 !a !a !a !a |

Instances

Functor TexCoord4 |
Typeable1 TexCoord4 |
Applicative TexCoord4 |
Foldable TexCoord4 |
Traversable TexCoord4 |
ControlPoint TexCoord4 |
Bounded a => Bounded (TexCoord4 a) |
Eq a => Eq (TexCoord4 a) |
Ord a => Ord (TexCoord4 a) |
Read a => Read (TexCoord4 a) |
Show a => Show (TexCoord4 a) |
Ix a => Ix (TexCoord4 a) |
Storable a => Storable (TexCoord4 a) |
VertexAttribComponent a => VertexAttrib (TexCoord4 a) |
TexCoordComponent a => TexCoord (TexCoord4 a) |
UniformComponent a => Uniform (TexCoord4 a) |

data Normal3 a

Constructors

Normal3 !a !a !a |

Instances

Functor Normal3 |
Typeable1 Normal3 |
Applicative Normal3 |
Foldable Normal3 |
Traversable Normal3 |
ControlPoint Normal3 |
Bounded a => Bounded (Normal3 a) |
Eq a => Eq (Normal3 a) |
Ord a => Ord (Normal3 a) |
Read a => Read (Normal3 a) |
Show a => Show (Normal3 a) |
Ix a => Ix (Normal3 a) |
Storable a => Storable (Normal3 a) |
VertexAttribComponent a => VertexAttrib (Normal3 a) |
NormalComponent a => Normal (Normal3 a) |
UniformComponent a => Uniform (Normal3 a) |

newtype FogCoord1 a

A fog coordinate.

Constructors

FogCoord1 a |

Instances

Functor FogCoord1 |
Typeable1 FogCoord1 |
Applicative FogCoord1 |
Foldable FogCoord1 |
Traversable FogCoord1 |
Bounded a => Bounded (FogCoord1 a) |
Eq a => Eq (FogCoord1 a) |
Ord a => Ord (FogCoord1 a) |
Read a => Read (FogCoord1 a) |
Show a => Show (FogCoord1 a) |
Ix a => Ix (FogCoord1 a) |
Storable a => Storable (FogCoord1 a) |
VertexAttribComponent a => VertexAttrib (FogCoord1 a) |
FogCoordComponent a => FogCoord (FogCoord1 a) |
UniformComponent a => Uniform (FogCoord1 a) |

data Color3 a

Constructors

Color3 !a !a !a |

Instances

Functor Color3 |
Typeable1 Color3 |
Applicative Color3 |
Foldable Color3 |
Traversable Color3 |
Bounded a => Bounded (Color3 a) |
Eq a => Eq (Color3 a) |
Ord a => Ord (Color3 a) |
Read a => Read (Color3 a) |
Show a => Show (Color3 a) |
Ix a => Ix (Color3 a) |
Storable a => Storable (Color3 a) |
VertexAttribComponent a => VertexAttrib (Color3 a) |
ColorComponent a => SecondaryColor (Color3 a) |
ColorComponent a => Color (Color3 a) |
UniformComponent a => Uniform (Color3 a) |

data Color4 a

A fully-fledged RGBA color.

Constructors

Color4 !a !a !a !a |

Instances

Functor Color4 |
Typeable1 Color4 |
Applicative Color4 |
Foldable Color4 |
Traversable Color4 |
ControlPoint Color4 |
Bounded a => Bounded (Color4 a) |
Eq a => Eq (Color4 a) |
Ord a => Ord (Color4 a) |
Read a => Read (Color4 a) |
Show a => Show (Color4 a) |
Ix a => Ix (Color4 a) |
Storable a => Storable (Color4 a) |
VertexAttribComponent a => VertexAttrib (Color4 a) |
ColorComponent a => Color (Color4 a) |
UniformComponent a => Uniform (Color4 a) |

newtype Index1 a

A color index.

Constructors

Index1 a |

Instances

Functor Index1 |
Typeable1 Index1 |
Applicative Index1 |
Foldable Index1 |
Traversable Index1 |
ControlPoint Index1 |
Bounded a => Bounded (Index1 a) |
Eq a => Eq (Index1 a) |
Ord a => Ord (Index1 a) |
Read a => Read (Index1 a) |
Show a => Show (Index1 a) |
Ix a => Ix (Index1 a) |
Storable a => Storable (Index1 a) |
VertexAttribComponent a => VertexAttrib (Index1 a) |
IndexComponent a => Index (Index1 a) |
UniformComponent a => Uniform (Index1 a) |